#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_before_dh_auto_build:
	printf 'package build\n\nconst Version = "%s"\n' "$(DEB_VERSION_UPSTREAM)" > pkg/build/version.go
	cp pkg/build/version.go _build/src/dev.tandem.ws/tandem/camper/pkg/build/version.go
	make

execute_after_dh_auto_test:
	pg_virtualenv -v 15 make test-deploy
